ChangeSet 1.1042.81.3, 2003/05/05 14:24:39-07:00, bunk@fs.tum.de

[PATCH] USB: kill the last occurances of usb_serial_get_by_minor

I got an error at the final linking of 2.5.68-bk11. It seems the patch
below is needed.


 drivers/usb/serial/console.c    |    2 +-
 drivers/usb/serial/usb-serial.h |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/serial/console.c b/drivers/usb/serial/console.c
--- a/drivers/usb/serial/console.c	Wed May  7 11:12:59 2003
+++ b/drivers/usb/serial/console.c	Wed May  7 11:12:59 2003
@@ -133,7 +133,7 @@
 	co->cflag = cflag;
 
 	/* grab the first serial port that happens to be connected */
-	serial = usb_serial_get_by_minor (0);
+	serial = usb_serial_get_by_index(0);
 	if (serial_paranoia_check (serial, __FUNCTION__)) {
 		/* no device is connected yet, sorry :( */
 		err ("No USB device connected to ttyUSB0");
diff -Nru a/drivers/usb/serial/usb-serial.h b/drivers/usb/serial/usb-serial.h
--- a/drivers/usb/serial/usb-serial.h	Wed May  7 11:12:59 2003
+++ b/drivers/usb/serial/usb-serial.h	Wed May  7 11:12:59 2003
@@ -280,7 +280,7 @@
 #endif
 
 /* Functions needed by other parts of the usbserial core */
-extern struct usb_serial *usb_serial_get_by_minor (unsigned int minor);
+extern struct usb_serial *usb_serial_get_by_index (unsigned int minor);
 extern int usb_serial_generic_open (struct usb_serial_port *port, struct file *filp);
 extern int usb_serial_generic_write (struct usb_serial_port *port, int from_user, const unsigned char *buf, int count);
 extern void usb_serial_generic_close (struct usb_serial_port *port, struct file *filp);
